ortp.h File Reference

General purpose library functions. More...

`#include "ortp/rtpsession.h"`
`#include "ortp/sessionset.h"`

Go to the source code of this file.

## Macros

#define | ortp_log_level_enabled(level) (__ortp_log_mask & (level))
#define | ortp_logv(level, fmt, args)
#define | ortp_debug(...)

## Typedefs

typedef void(* | OrtpLogFunc) (OrtpLogLevel lev, const char *fmt, va_list args)

## Enumerations

enum | OrtpLogLevel { ORTP_DEBUG =1, ORTP_MESSAGE =1<<1, ORTP_WARNING =1<<2, ORTP_ERROR =1<<3, ORTP_FATAL =1<<4, ORTP_LOGLEV_END =1<<5 }

## Functions

bool_t | ortp_min_version_required (int major, int minor, int micro)
void | ortp_init (void)
void | ortp_scheduler_init (void)
void | ortp_exit (void)
void | ortp_set_log_file (FILE *file)
void | ortp_set_log_handler (OrtpLogFunc func)
void | ortp_set_log_level_mask (int levelmask)
void | ortp_global_stats_reset (void)
rtp_stats_t * | ortp_get_global_stats (void)
void | ortp_global_stats_display (void)
void | rtp_stats_display (const rtp_stats_t *stats, const char *header)
void | rtp_stats_reset (rtp_stats_t *stats)

## Variables

VAR_DECLSPEC OrtpLogFunc | ortp_logv_out
unsigned int | __ortp_log_mask
rtp_stats_t | ortp_global_stats

## Detailed Description

General purpose library functions.

## Macro Definition Documentation

## ortp_logv

#define ortp_logv | ( |  | level,
|  |  | fmt,
|  |  | args
| ) |  |

Value:
{\
if (ortp_logv_out!=NULL && ortp_log_level_enabled(level)) \
ortp_logv_out(level,fmt,args);\
if ((level)==ORTP_FATAL) abort();\
}while(0)

## Function Documentation

## ortp_exit()

void ortp_exit | ( | void |  | ) |

Gracefully uninitialize the library, including shutdowning the scheduler if it was started.

## ortp_global_stats_display()

void ortp_global_stats_display | ( | void |  | ) |

Display global statistics (cumulative for all RtpSession)

References rtp_stats_display().

## ortp_init()

void ortp_init | ( | void |  | ) |

Initialize the oRTP library. You should call this function first before using oRTP API.

## ortp_min_version_required()

bool_t ortp_min_version_required | ( | int | major,
|  | int | minor,
|  | int | micro
| ) |  |

This function give the opportunity to programs to check if the libortp they link to has the minimum version number they need.

Returns: true if ortp has a version number greater or equal than the required one.

## ortp_scheduler_init()

void ortp_scheduler_init | ( | void |  | ) |

Initialize the oRTP scheduler. You only have to do that if you intend to use the scheduled mode of the #RtpSession in your application.

## ortp_set_log_file()

void ortp_set_log_file | ( | FILE * | file | ) |

Parameters

  file | a FILE pointer where to output the ortp logs.

## ortp_set_log_handler()

void ortp_set_log_handler | ( | OrtpLogFunc | func | ) |

Parameters

  func | your logging function, compatible with the OrtpLogFunc prototype.

## ortp_set_log_level_mask()

void ortp_set_log_level_mask | ( | int | levelmask | ) |

@ param levelmask a mask of ORTP_DEBUG, ORTP_MESSAGE, ORTP_WARNING, ORTP_ERROR ORTP_FATAL .

## rtp_stats_display()

void rtp_stats_display | ( | const rtp_stats_t * | stats,
|  | const char * | header
| ) |  |

Print RTP statistics.

Referenced by ortp_global_stats_display().